Subject: Re: new x.org server - startx and xinit fail?
From: Lloyd Wood <[email-masked]>
To: Lloyd Wood <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Feb 2009 17:14:09 +0000
List-Id: <cygwin.cygwin.com>

Ah, installing a number of fonts in Cygwin setup's X11 list, that  
allows xinit to produce a working X11 virtual desktop window. Once I  
launch a window manager it's usable, with xterms etc.

However, /usr/bin/startx and treating X windows as Windows windows  
appears to have problems with spaces in path names, as outlined below.

On 16 Feb 2009, at 13:20, Lloyd Wood wrote:

> I've just updated my Cygwin installation (1.5.25), and got the new  
> x.org xserver.
>
> startx has stopped working.
> After xauth creates a new authority file, it throws up a dialog  
> saying it's put help text
> in /var/log/XWin.0.log
>
> Perusing /var/log/XWin.0.log shows:
>
> XWin was started with the following command line:
>
> /usr/bin/X :0 -auth /cygdrive/c/Documents and Settings/ 
> lwood/.serverauth.32660
> [..]
> unrecognized option: and
>
> suggesting that missing quotes somewhere in startx borked the command.
> Adding quotes in throughout startx (xinit command, whenever I saw  
> $HOME)
> didn't change this; whatever can't handle spaces is a little hidden.
>
> xinit run alone dies because it can't find supported fonts.
>
> How to get cygwin's x-window-in-Windows-window support running again  
> and
> get to an xterm?

<http://info.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/